%define api		1.16
%define major		1
%define libname		%mklibname %{name} %{api} %{major}
%define libnamedev	%mklibname %{name} %{api} -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

# “Let mm-common-get copy some files to untracked/”, i.e., replace scripts from
# the tarball with those from mm-common. This is (potentially) required if
# building an autotools-generated tarball with meson, or vice versa.
%bcond_without maintainer_mode

Summary:	C++ API for the cairo multi-platform 2D graphics library
Name:		cairomm
Version:	1.18.0
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
Url:		https://www.cairographics.org/cairomm
Source0:	https://www.cairographics.org/releases/%{name}-%{version}.tar.xz
#Source0:	https://download.gnome.org/sources/%%{name}/%%{url_ver}/%%{name}-%%{version}.tar.xz
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(sigc++-3.0)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:	pkgconfig(mm-common-libstdc++)
BuildRequires:	doxygen
BuildRequires:	meson
BuildRequires:	xsltproc

# For tests:
BuildRequires:	boost-devel

%description
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%package -n %{libname}
Summary:	Cairomm - multi-platform 2D graphics library
Group:		System/Libraries

%description -n %{libname}
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%package -n %{libnamedev}
Summary:	Development files for Cairomm library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api}-devel = %{version}-%{release}

%description -n %{libnamedev}
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%prep
%autosetup -p1

%build
%meson \
  -Dmaintainer-mode=%{?with_maintainer_mode:true}%{?!with_maintainer_mode:false} \
  -Dbuild-documentation=true \
  -Dbuild-examples=false \
  -Dbuild-tests=true \
  -Dboost-shared=true \
  -Dwarnings=max
%meson_build

%install
%meson_install

%files -n %{libname}
%doc ChangeLog NEWS README.md
%license COPYING
%{_libdir}/libcairomm-%{api}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc %{_datadir}/doc/cairomm-%{api}/
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%dir %{_libdir}/%{name}-%{api}/
%dir %{_libdir}/%{name}-%{api}/include
%{_libdir}/%{name}-%{api}/include/*.h
%{_datadir}/devhelp/books/%{name}-%{api}


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.18.0-2.mga10
+ Revision: 2219894
- Mageia 10 Mass Rebuild

* Mon Oct 30 2023 daviddavid <daviddavid> 1.18.0-1.mga10
+ Revision: 2002884
- new version: 1.18.0

* Wed Oct 19 2022 ghibo <ghibo> 1.16.2-1.mga9
+ Revision: 1897713
- Update to release 1.16.2

* Wed Mar 30 2022 umeabot <umeabot> 1.16.1-2.mga9
+ Revision: 1834776
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 1.16.1-1.mga9
+ Revision: 1740147
- 1.16.1

* Thu Mar 04 2021 daviddavid <daviddavid> 1.16.0-1.mga9
+ Revision: 1698126
- new version: 1.16.0
- switch to meson build system
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 3.mga8-current
+ Revision: 1511158
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 1.15.5-2.mga7
+ Revision: 1295840
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 1.15.5-1.mga7
+ Revision: 1235587
- new version 1.15.5

* Wed Aug 23 2017 ovitters <ovitters> 1.15.4-1.mga7
+ Revision: 1143663
- api to 1.16
- force compilation with -std=gnu++14
- new version 1.15.4
- fix source url

* Thu Feb 11 2016 umeabot <umeabot> 1.12.0-2.mga6
+ Revision: 953562
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 1.12.0-1.mga6
+ Revision: 882879
- new release

* Mon Aug 24 2015 wally <wally> 1.11.4-1.mga6
+ Revision: 868987
- new version 1.11.4
- clean .spec a bit

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-6.mga5
+ Revision: 745179
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 693554
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 678287
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 503239
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 347317
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 24 2011 fwang <fwang> 1.10.0-1.mga2
+ Revision: 135087
- new version 1.10.0
- do not ship .la files

* Sat May 21 2011 ahmad <ahmad> 1.9.8-2.mga1
+ Revision: 100066
- ship the .la file, it's needed to build mysql-workbench

* Fri Apr 15 2011 ahmad <ahmad> 1.9.8-1.mga1
+ Revision: 85608
- update to 1.9.8
- don't ship .la files

* Thu Jan 13 2011 ahmad <ahmad> 1.9.6-2.mga1
+ Revision: 8760
- drop old/unneeded scriptlets
- imported package cairomm


* Tue Oct 26 2010 Götz Waschk <waschk@mandriva.org> 1.9.6-1mdv2011.0
+ Revision: 589434
- update to new version 1.9.6

* Fri Oct 22 2010 Götz Waschk <waschk@mandriva.org> 1.9.4-1mdv2011.0
+ Revision: 587591
- update to new version 1.9.4

* Sat Oct 16 2010 Götz Waschk <waschk@mandriva.org> 1.9.2-1mdv2011.0
+ Revision: 586000
- update to new version 1.9.2

* Wed Jul 21 2010 Götz Waschk <waschk@mandriva.org> 1.9.1-1mdv2011.0
+ Revision: 556340
- update to new version 1.9.1

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 1.8.4-1mdv2010.1
+ Revision: 461000
- new version
- update file list

* Sat Jul 11 2009 Götz Waschk <waschk@mandriva.org> 1.8.2-1mdv2010.0
+ Revision: 394861
- update to new version 1.8.2

* Wed Jan 28 2009 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2009.1
+ Revision: 334733
- update to new version 1.8.0

* Mon Dec 22 2008 Götz Waschk <waschk@mandriva.org> 1.7.2-1mdv2009.1
+ Revision: 317474
- update to new version 1.7.2

* Fri Nov 07 2008 Götz Waschk <waschk@mandriva.org> 1.7.0-2mdv2009.1
+ Revision: 300542
- rebuild for new libxcb

* Sun Oct 26 2008 Götz Waschk <waschk@mandriva.org> 1.7.0-1mdv2009.1
+ Revision: 297479
- fix build deps
- update to new version 1.7.0

* Tue Sep 16 2008 Götz Waschk <waschk@mandriva.org> 1.6.4-1mdv2009.0
+ Revision: 285131
- update to new version 1.6.4

* Sun Aug 31 2008 Götz Waschk <waschk@mandriva.org> 1.6.2-1mdv2009.0
+ Revision: 277788
- new version

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.6.0-2mdv2009.0
+ Revision: 264343
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 21 2008 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdv2009.0
+ Revision: 196132
- new version
- drop patch
- update license tag

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 1.5.0-1mdv2009.0
+ Revision: 192432
- new version

* Wed Mar 26 2008 Götz Waschk <waschk@mandriva.org> 1.4.6-2mdv2008.1
+ Revision: 190294
- fix for a small cairo API change

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Götz Waschk <waschk@mandriva.org> 1.4.6-1mdv2008.1
+ Revision: 111172
- new version

* Tue Aug 07 2007 Götz Waschk <waschk@mandriva.org> 1.4.4-1mdv2008.0
+ Revision: 59720
- new version
- new devel name

* Mon Jul 16 2007 Götz Waschk <waschk@mandriva.org> 1.4.2-1mdv2008.0
+ Revision: 52397
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2007.1
+ Revision: 13551
- Import cairomm



* Tue Apr 10 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2007.1
- New version 1.2.4

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.0
- New release 1.2.2

* Mon Aug 21 2006 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdv2007.0
- new major
- drop patch
- New release 1.2.0

* Mon Jun 19 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-4mdv2007.0
- fix build

* Tue Jun 06 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2007.0
- Rebuild

* Fri May 12 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-2mdk
- fix buildrequires

* Fri May 12 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdk
- initial package
